grk::ICodeStreamDecompress Struct Referenceabstract

`#include <CodeStream.h>`

Inheritance diagram for grk::ICodeStreamDecompress:

## Public Member Functions

virtual | ~ICodeStreamDecompress ()=default
virtual bool | readHeader (grk_header_info *header_info)=0
virtual GrkImage * | getImage (uint16_t tileIndex)=0
virtual GrkImage * | getImage (void)=0
virtual void | init (grk_decompress_core_params *p_param)=0
virtual bool | setDecompressRegion (grk_rect_single region)=0
virtual bool | decompress (grk_plugin_tile *tile)=0
virtual bool | decompressTile (uint16_t tileIndex)=0
virtual bool | preProcess (void)=0
virtual bool | postProcess (void)=0
virtual void | dump (uint32_t flag, FILE *outputFileStream)=0

## Constructor & Destructor Documentation

## ~ICodeStreamDecompress()

virtual grk::ICodeStreamDecompress::~ICodeStreamDecompress | ( |  | ) |

virtual default

## Member Function Documentation

## decompress()

virtual bool grk::ICodeStreamDecompress::decompress | ( | grk_plugin_tile * | tile | ) |

pure virtual

Implemented in grk::CodeStreamDecompress, and grk::FileFormatDecompress.

## decompressTile()

virtual bool grk::ICodeStreamDecompress::decompressTile | ( | uint16_t | tileIndex | ) |

pure virtual

Implemented in grk::CodeStreamDecompress, and grk::FileFormatDecompress.

## dump()

virtual void grk::ICodeStreamDecompress::dump | ( | uint32_t | flag,
|  | FILE * | outputFileStream
| ) |  |

pure virtual

Implemented in grk::CodeStreamDecompress, and grk::FileFormatDecompress.

## getImage() [1/2]

virtual GrkImage * grk::ICodeStreamDecompress::getImage | ( | uint16_t | tileIndex | ) |

pure virtual

Implemented in grk::CodeStreamDecompress, and grk::FileFormatDecompress.

## getImage() [2/2]

virtual GrkImage * grk::ICodeStreamDecompress::getImage | ( | void |  | ) |

pure virtual

Implemented in grk::CodeStreamDecompress, and grk::FileFormatDecompress.

## init()

virtual void grk::ICodeStreamDecompress::init | ( | grk_decompress_core_params * | p_param | ) |

pure virtual

Implemented in grk::CodeStreamDecompress, and grk::FileFormatDecompress.

## postProcess()

virtual bool grk::ICodeStreamDecompress::postProcess | ( | void |  | ) |

pure virtual

Implemented in grk::CodeStreamDecompress, and grk::FileFormatDecompress.

## preProcess()

virtual bool grk::ICodeStreamDecompress::preProcess | ( | void |  | ) |

pure virtual

Implemented in grk::CodeStreamDecompress, and grk::FileFormatDecompress.

## readHeader()

virtual bool grk::ICodeStreamDecompress::readHeader | ( | grk_header_info * | header_info | ) |

pure virtual

Implemented in grk::CodeStreamDecompress, and grk::FileFormatDecompress.

## setDecompressRegion()

virtual bool grk::ICodeStreamDecompress::setDecompressRegion | ( | grk_rect_single | region | ) |

pure virtual

Implemented in grk::CodeStreamDecompress, and grk::FileFormatDecompress.

The documentation for this struct was generated from the following file:

- CodeStream.h